## gnupoc-package-1.08.tar.gz

=== tools/elf2e32/Makefile ===
CXXFLAGS += -Wall -pedantic -ggdb -Wno-long-long -Ideflate/deflate -Ideflate/inc
LDFLAGS += -lelf -lz

all: elf2e32 bindiff

elf2e32: elf2e32.o crc.o deflate/deflate.a
	$(CXX) -o $@ $+ $(LDFLAGS)

deflate/deflate.a:
	$(MAKE) -C deflate deflate.a

bindiff: bindiff.o
	$(CXX) -o $@ $+

clean:
	$(MAKE) -C deflate clean
	rm -f elf2e32 bindiff *.o

=== tools/rcomp-7.0.1/Makefile ===
#
# Makefile
#
all clean install uninstall:
	$(MAKE) $@ -sC src

regtest:
	$(MAKE) all -sC src
	$(MAKE) regtest -sC tsrc

=== tools/svgtbinencode/Makefile ===
CFLAGS = -Wall -pedantic -Iexpat-2.0.1/lib
CXXFLAGS = $(CFLAGS)
LDFLAGS =

all: decompile encode

decompile: decompile.o
	$(CXX) -o $@ $+ $(LDFLAGS)

encode: encode.o ConvertUTF.o expat-2.0.1/.libs/libexpat.a pathcommands.o pathcommands-tokenizer.o write.o style-tokenizer.o
	$(CXX) -o $@ $+ $(LDFLAGS)

pathcommands.cpp: pathcommands.y
	bison --verbose --debug -d -o $@ -p pathcommands $<
	if [ ! -f pathcommands.hpp ]; then ln -s pathcommands.cpp.h pathcommands.hpp; fi

pathcommands-tokenizer.c: pathcommands-tokenizer.l
	flex -Ppathcommands -o$@ $<

pathcommands: pathcommands.o pathcommands-tokenizer.o
	$(CXX) -o $@ $+

style-tokenizer.c: style-tokenizer.l
	flex -Pstyle -o$@ $<

expat-2.0.1/.libs/libexpat.a:
	cd expat-2.0.1 && ./configure --enable-shared=no && make buildlib

clean:
	rm -f decompile encode *.o

clean-all: clean
	rm -f pathcommands.cpp pathcommands.hpp pathcommands-tokenizer.c style-tokenizer.c

=== tools/bmconv-1.1.0-2/src/Makefile ===
#
# Makefile
#

#
# Modify this to suit your platform specific needs.
#
#GCC_VERSION=-2.95
#GCC_VERSION=-3.0
#GCC_VERSION=2	# For Darwin use gcc 2.95.2 - gcc 3.1 is b0rken !
#CC=/usr/local/encap/gcc-3.1/bin/g++  # Solaris
CC=g++$(GCC_VERSION)
CFLAGS=-O2 -Wall -Wno-deprecated -gstabs+ -I../include
LFLAGS=
DEPS=bmconv.h rgb.h
OBJS=\
	bmtopbm.o \
	pbmcomp.o \
	rgb.o \
	utils.o \
	mainfunc.o \
	pbmtobm.o

BIN=bmconv

all: $(BIN)

$(BIN): $(OBJS) Makefile
	$(CC) $(LFLAGS) $(OBJS) -o $@ $(LIBS)

%.o:	%.cpp $(DEPS)
	$(CC) $(CFLAGS) -c $< -o $@

install: $(BIN)
	install -m 755 $(BIN) $(DESTDIR)/usr/bin

uninstall:
	rm -f $(DESTDIR)/usr/bin/$(BIN)

clean:
	rm -f *.o $(BIN) core

=== tools/elf2e32/deflate/Makefile ===
CXXFLAGS = -Iinc -Wno-deprecated -ggdb

deflate.a: deflate/compress.o deflate/decode.o deflate/deflate.o deflate/encode.o deflate/inflate.o deflate/panic.o host/h_mem.o host/h_utl.o
	ar rcs $@ $+

clean:
	rm -f deflate.a deflate/*.o host/*.o

=== tools/makesis-2.0.0/src/Makefile ===
#
# Makefile
#

#GCC_VERSION=-2.95
CFLAGS+=-Wall -gstabs+
CFLAGS+=-I../include
#CFLAGS+=-D_UNICODE -DUNICODE
LFLAGS=
LIBS=-lz
OBJS=\
	crtsis.o \
	makesis.o \
	parsecmd.o \
	parsepkg.o \
	utf8.o \
	utils.o \
	stub.o \
	wcstub.o

BIN=makesis

all: $(BIN)

$(BIN): $(OBJS) Makefile
	g++$(GCC_VERSION) $(LFLAGS) $(OBJS) -o $@ $(LIBS)

%.o: %.cpp crtsis.h makesis.h parsecmd.h parsepkg.h utf8.h utils.h \
	../include/windows.h ../include/tchar.h
	g++$(GCC_VERSION) $(CFLAGS) -c $< -o $@

%.o: %.c
	gcc$(GCC_VERSION) $(CFLAGS) -c $< -o $@

install: $(BIN)
	install -m 755 $(BIN) $(DESTDIR)/usr/bin

uninstall:
	rm -f $(DESTDIR)/usr/bin/$(BIN)

clean:
	rm -f *.o $(BIN) core

=== tools/petran-1.1.0/e32uid/Makefile ===
#
# Makefile
#

# GCC_VERSION=-2.95
CFLAGS+=-Wall -gstabs+
CFLAGS+=-I../inc
LFLAGS=
DEPS=\
	../inc/e32uid.h \
	../inc/e32std.h

OBJS=\
	e32uid.o \
	uidcrc.o

BIN=uidcrc

all: $(BIN)

$(BIN): $(OBJS) Makefile
	g++$(GCC_VERSION) $(LFLAGS) $(OBJS) -o $@ $(LIBS)

%.o: %.cpp $(DEPS)
	g++$(GCC_VERSION) $(CFLAGS) -c $< -o $@

%.o: %.c
	gcc$(GCC_VERSION) $(CFLAGS) -c $< -o $@

install: $(BIN)
	install -m 755 $(BIN) $(DESTDIR)/usr/bin

uninstall:
	rm -f $(DESTDIR)/usr/bin/$(BIN)

clean:
	rm -f $(OBJS) $(BIN) core

=== tools/rcomp-7.0.1/tsrc/Makefile ===
#
# Makefile
#

regtest:
	./test.sh all

clean:
	@rm -f *.new test?.lis error1.rsc error1.rsg

=== tools/bmconv-1.1.0-2/debian/changelog ===
bmconv (1.1.0-2) unstable; urgency=low

  * Fixing 64-bit issues (using int instead of long for u32 vars)
  * Remove WritePalette() which was unused
  * Fixing byteorder issues for big endian.
  * Added decompilation to regression test
  * Fix 64-bit and big-endian issues for bitmap decompilation
  * Added run-time struct alignment checking
  * The regression test is now working on the following machines:
    (on the Sourceforge Compile Farm ;)

    i386/Debian Linux     (32 bit, little endian)
    i386/RedHat Linux     (32 bit, little endian)
    i386/FreeBSD 4.9      (32 bit, little endian)
    AMD64/SuSE Linux      (64 bit, little endian)
    Alpha/Debian Linux    (64 bit, little endian)
    Sparc64/Debian Linux  (64 bit, big endian)
    Sparc64/SunOS         (64 bit, big endian)
    PPC-G4 MacOS 10.2     (32 bit, big endian)

 -- Alfred E. Heggestad <alfredh@symbianos.org>  Mon,  5 Jan 2004 01:20:19 +0100

bmconv (1.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@symbianos.org>  Fri, 19 Dec 2003 00:14:00 +0100

=== tools/makesis-2.0.0/debian/changelog ===
makesis (2.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@symbianos.org>  Sun, 20 Jul 2003 13:28:12 +0200

=== tools/petran-1.1.0/debian/changelog ===
petran (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@sxdesign.com>  Sun, 21 Dec 2003 02:24:26 +0100

=== tools/petran-1.1.0/debian/control ===
Source: petran
Section: utils
Priority: optional
Maintainer: Alfred E. Heggestad <alfredh@symbianos.org>
Build-Depends: debhelper (>> 4.0.0), g++, libstdc++-dev
Standards-Version: 3.5.8

Package: petran
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Symbian OS PE file preprocessor.
 Petran converts native ARM PE files into EPOC executables.
 Petran can also dump the content of EPOC executables.
 .
 PETRAN - PE file preprocessor V01.00 (Build 175)
 Copyright (c) 1996-2001 Symbian Ltd.
 .
 Ported to Linux by Alfred E. Heggestad <alfredh@symbianos.org>
 .
 See http://symbianos.org/ for details.
 .

=== tools/bmconv-1.1.0-2/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/bmconv.sgml > bmconv.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/bmconv.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/bmconv


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_installmanpages
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== tools/petran-1.1.0/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/petran.sgml > petran.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_installmanpages
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== tools/rcomp-7.0.1/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/rcomp.sgml > rcomp.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_installmanpages
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
